Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl.ddm.impl
Class TableImpl

    java.lang.Object
      edu.stanford.smi.protegex.owl.swrl.ddm.impl.TableImpl

All Implemented Interfaces:
  Table

    public class TableImpl

extends Object
implements Table

Constructor Summary
`TableImpl(Database database, String schemaName, String tableName)`
`TableImpl(Database database, String schemaName, String tableName, Set<Column> columns)`
`TableImpl(Database database, String schemaName, String tableName, Set<Column> columns, PrimaryKey primaryKey, Set<ForeignKey> foreignKeys)`

Method Summary
`void` | `addColumns(Set<Column> columns)`
`void` | `addForeignKey(ForeignKey foreignKey)`
`Set<Column>` | `getColumns()`
`Database` | `getDatabase()`
`Set<ForeignKey>` | `getForeignKeys()`
`PrimaryKey` | `getPrimaryKey()`
`String` | `getSchemaName()`
`String` | `getTableName()`
`boolean` | `hasForeignKeys()`
`boolean` | `hasPrimaryKey()`
`void` | `setForeignKeys(Set<ForeignKey> foreignKeys)`
`void` | `setPrimaryKey(PrimaryKey primaryKey)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableImpl

    public TableImpl(Database database,
                     String schemaName,
                     String tableName)

### TableImpl

    public TableImpl(Database database,
                     String schemaName,
                     String tableName,
                     Set<Column> columns)

### TableImpl

    public TableImpl(Database database,
                     String schemaName,
                     String tableName,
                     Set<Column> columns,
                     PrimaryKey primaryKey,
                     Set<ForeignKey> foreignKeys)

Method Detail

### hasPrimaryKey

    public boolean hasPrimaryKey()

  Specified by:
    `hasPrimaryKey` in interface `Table`

### hasForeignKeys

    public boolean hasForeignKeys()

  Specified by:
    `hasForeignKeys` in interface `Table`

### getPrimaryKey

    public PrimaryKey getPrimaryKey()

  Specified by:
    `getPrimaryKey` in interface `Table`

### getForeignKeys

    public Set<ForeignKey> getForeignKeys()

  Specified by:
    `getForeignKeys` in interface `Table`

### getDatabase

    public Database getDatabase()

  Specified by:
    `getDatabase` in interface `Table`

### getTableName

    public String getTableName()

  Specified by:
    `getTableName` in interface `Table`

### getSchemaName

    public String getSchemaName()

  Specified by:
    `getSchemaName` in interface `Table`

### getColumns

    public Set<Column> getColumns()

  Specified by:
    `getColumns` in interface `Table`

### setPrimaryKey

    public void setPrimaryKey(PrimaryKey primaryKey)

  Specified by:
    `setPrimaryKey` in interface `Table`

### setForeignKeys

    public void setForeignKeys(Set<ForeignKey> foreignKeys)

  Specified by:
    `setForeignKeys` in interface `Table`

### addForeignKey

    public void addForeignKey(ForeignKey foreignKey)

  Specified by:
    `addForeignKey` in interface `Table`

### addColumns

    public void addColumns(Set<Column> columns)

  Specified by:
    `addColumns` in interface `Table`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.